helm-proof-checker_mowgli
helm-uri-set-queue_mowgli
helm-draw-graph_mowgli
+ helm-search-engine_mowgli
+ helm-uwobo_mowgli
"
# script used to define a good(TM) environment for daemons
#
# by --Zack <zack@cs.unibo.it>
# Created: Tue, 8 Oct 2002 17:18:17 +0200
-# Last-Modified: Wed, 9 Oct 2002 11:12:01 +0200
+# Last-Modified: Tue, 8 Oct 2002 17:18:17 +0200
DAEMON=/projects/helm/http_getter/http_getter.pl
USAGE="Usage: /etc/init.d/helm-http-getter { start | stop | restart }"
#!/bin/sh
#
-# init.d script for http_getter.pl
+# init.d script for http_getter
#
# by --Zack <zack@cs.unibo.it>
# Created: Tue, 8 Oct 2002 17:18:17 +0200
-# Last-Modified: Wed, 9 Oct 2002 11:12:01 +0200
+# Last-Modified: Wed, 8 Jan 2003 12:09:41 +0100
-DAEMON=/projects/helm/http_getter/http_getter.pl
+DAEMON="/projects/helm/http_getter_mowgli/http_getter"
USAGE="Usage: /etc/init.d/helm-http-getter_mowgli { start | stop | restart }"
ENVSCRIPT=""
--- /dev/null
+#!/bin/sh
+#
+# init.d script for HELM searchEngine
+#
+# by --Zack <zack@cs.unibo.it>
+# Created: Fri, 22 Nov 2002 15:51:25 +0100
+# Last-Modified: Fri, 22 Nov 2002 15:51:25 +0100
+
+DAEMON=/projects/helm/V7_mowgli/helm/searchEngine/searchEngine.opt
+USAGE="Usage: /etc/init.d/helm-search-engine_mowgli { start | stop | restart }"
+
+ENVSCRIPT=""
+if [ -f /etc/default/helm_mowgli ]; then
+ . /etc/default/helm_mowgli
+fi
+if ! [ -f "$ENVSCRIPT" ]; then
+ echo "Can't find environment script '$ENVSCRIPT'"
+ exit 1
+fi
+. $ENVSCRIPT &> /dev/null
+
+NAME=`basename $DAEMON`
+PIDFILE=/projects/helm/run/"$NAME"_mowgli.pid
+
+do_start () {
+ echo "Starting $DAEMON ..."
+ start-stop-daemon \
+ --start --pidfile $PIDFILE --make-pidfile \
+ --chuid $OWNER --exec $DAEMON
+}
+
+do_stop () {
+ echo "Stopping $DAEMON ..."
+ start-stop-daemon --stop --pidfile $PIDFILE && \
+ (if [ -f $PIDFILE ]; then rm -f $PIDFILE; else true; fi)
+}
+
+case "$1" in
+
+ start)
+ do_start
+ ;;
+
+ stop)
+ do_stop
+ ;;
+
+ restart)
+ do_stop
+ do_start
+ ;;
+
+ *)
+ echo "$USAGE" >&2
+ exit 1
+ ;;
+
+esac
+
--- /dev/null
+#!/bin/sh
+#
+# init.d script for http_getter
+#
+# by --Zack <zack@cs.unibo.it>
+# Created: Wed, 15 Jan 2003 15:14:07 +0100
+# Last-Modified: Wed, 15 Jan 2003 15:14:07 +0100
+
+DAEMON="/projects/helm/uwobo_mowgli/uwobo"
+USAGE="Usage: /etc/init.d/helm-uwobo_mowgli { start | stop | restart }"
+
+ENVSCRIPT=""
+if [ -f /etc/default/helm_mowgli ]; then
+ . /etc/default/helm_mowgli
+fi
+if ! [ -f "$ENVSCRIPT" ]; then
+ echo "Can't find environment script '$ENVSCRIPT'"
+ exit 1
+fi
+. $ENVSCRIPT &> /dev/null
+
+NAME=`basename $DAEMON`
+PIDFILE=/projects/helm/run/"$NAME"_mowgli.pid
+
+do_start () {
+ echo "Starting $DAEMON ..."
+ start-stop-daemon \
+ --start --background --pidfile $PIDFILE --make-pidfile \
+ --chuid $OWNER --exec $DAEMON
+}
+
+do_stop () {
+ echo "Stopping $DAEMON ..."
+ start-stop-daemon --stop --pidfile $PIDFILE && \
+ (if [ -f $PIDFILE ]; then rm -f $PIDFILE; else true; fi)
+}
+
+case "$1" in
+
+ start)
+ do_start
+ ;;
+
+ stop)
+ do_stop
+ ;;
+
+ restart)
+ do_stop
+ do_start
+ ;;
+
+ *)
+ echo "$USAGE" >&2
+ exit 1
+ ;;
+
+esac
+